using	System;
using	System.Data;
using	MySql.Data.MySqlClient;
using	MySql.Data;



namespace	ConsoleApplication1
{
  ///	<summary>
  ///	Summary	description	for	Class1.
  ///	</summary>
  class	Class1
  {
    ///	<summary>
    ///	The	main entry point for the application.
		
    ///	</summary>
    [STAThread]
    static void	Main(string[]	args)
    {
      MySqlConnection conn = new MySqlConnection ("server=localhost;	database=test;uid=root;pooling=false");
      conn.Open();

      string createTable = "CREATE TABLE IF NOT EXISTS insertTest (\n"+
        "qid INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,\n" +
        "test1 INT UNSIGNED,\n" +
        "test2 INT UNSIGNED\n" +
        ") ;";

      MySqlCommand createCmd = conn.CreateCommand();
      createCmd.CommandText = createTable;
      createCmd.ExecuteNonQuery();
	
      MySqlCommand insTest = conn.CreateCommand();
      insTest.CommandText = "INSERT INTO insertTest (test1, test2) VALUES (?test1,?test2) ON DUPLICATE KEY UPDATE qid=last_insert_id(qid); Select last_insert_id()";
      insTest.Parameters.Clear();
      insTest.Parameters.Add (new MySqlParameter("?test1", MySqlDbType.Int32));
      insTest.Parameters.Add (new MySqlParameter("?test2", MySqlDbType.Int32));
      insTest.Prepare(); //-- causes sql parse error if called
      for (int i=0; i < 500; i++)
      {
        insTest.Parameters["test1"].Value = i;
        insTest.Parameters["test2"].Value = i;
        uint pid = (uint)insTest.ExecuteScalar();

      }
      conn.Close();
    }      
  }
}
